- Main Page
- Namespaces
- Classes
- Files
- Directories

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OptionDialog Class Reference

`#include <optiondialog.h>`

Inheritance diagram for OptionDialog:

List of all members.

## Public Slots
virtual void | slotButtonAddClicked ()
virtual void | slotButtonEditClicked ()
virtual void | slotButtonCopyClicked ()
virtual void | slotButtonDeleteClicked ()
virtual void | slotButtonOkClicked ()
virtual void | slotAccountActivated (int index)
virtual void | slotSavePasswordToggled ()
virtual void | slotButtonSelectSoundFile ()
virtual void | slotMinimizeNoMailClicked ()
virtual void | slotTerminateNoMailClicked ()
virtual void | slotSoundTest ()
virtual void | slotExternalProgTest ()
## Public Member Functions
| OptionDialog (TQWidget *parent, const char *name, ConfigList *config, CommandList *cmd)
| ~OptionDialog ()
## Private Attributes
ConfigList | m_ConfigList
ConfigList * | m_pConfigList
CommandList * | m_pCmdList

## Detailed Description

Author:
  Eggert Ehmke

Definition at line 30 of file optiondialog.h.

The documentation for this class was generated from the following files:

- kshowmail/optiondialog.h
- kshowmail/optiondialog.cpp